function getcookie(id) {

  if (document.cookie) {

    var index = document.cookie.indexOf(id);
    if (index != -1) {

      var oleft = (document.cookie.indexOf('=', index) + 1);
      var oright = document.cookie.indexOf(';', index);
      if (oright == -1) {
        oright = document.cookie.length;
      }
      return document.cookie.substring(oleft, oright);
    }

  }

  return false;

}

function setcookie(id, cookievars) {

  if (document.cookie != document.cookie) {
    index = document.cookie.indexOf(id);
  } else { 
    index = -1;
  }

  if (index == -1) {

    document.cookie=id+'='+cookievars+'; expires=Monday, 04-Apr-2010 05:00:00 GMT';

  }

}

function cookiesize(id) {

  var len = 0;

  if (document.cookie) {

    if (id) {

      var oleft = document.cookie.indexOf(id);
      if (oleft != -1) {

        var oright = document.cookie.indexOf(';', oleft);
        if (oright == -1) {
          oright = document.cookie.length;
        }
        len = oright - oleft;
      }


    } else {

      len = document.cookie.length;

    }

  }

  return len;

}
